<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	/* ----------------------- EDIT ---------------------- */
	var popupWord = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 300
	});
		
	popupWord.addEvent('loaded', function () {
		
		$('btn-bl-types-add').addEvent('click', function() {
			blTypeSelecter();
		});
		if($defined($$('.selected-types'))){
			$('btn-bl-types-add').fireEvent('click');
		}
		if($('btn-bl_country_for-add')){
			$('btn-bl_country_for-add').addEvent('click', function() {
				blTypeSelectercountry();
			});
			if($defined($$('.selected-types'))){
				$('btn-bl_country_for-add').fireEvent('click');
			}
		}
		
		
		
		
	});	
	/* ----------------------- END  EDIT ---------------------- */
    

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
            { title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px' },
			{ title: 'Name', field: 'name', type: 'string', sortable: true }
		],
		sort: {
			field: 'name',
			dir: 'asc'
		},
		actions: [ { type: 'edit', func: function (data) {
			popupWord.setTitle('Edit Blacklisted Words');
			popupWord.load('/blacklisted-words/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/blacklisted-words/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		
	});

    

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

    new Cubix.Button($('btn-create'), { classes: 'ml20',onClick: function () {
        popupWord.setTitle('Add Blacklisted Words');
		popupWord.load('/blacklisted-words/create', function () {
            this.open();
        });
	}, icon: 'add', caption: 'Create New Word' });

    if ( $('btn-delete') )
	new Cubix.Button($('btn-delete'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids ) {
			if ( confirm('Are you sure you want to delete selected row(s)?') ) {
				new Request({
					url: '/blacklisted-words/delete',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else {
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'delete', caption: 'Delete', classes: 'ml20' });


    if ( $('select-all') ) {
        $('select-all').set('checked', '');

        $('select-all').addEvent('click', function() {
            if ( this.get('checked') )
            {
                $$('#cx-grid input[type=checkbox]').each(function(it){
                    if ( it.get('id') != 'select-all' )
                        it.set('checked', 'checked');
                });
            }
            else
            {
                $$('#cx-grid input[type=checkbox]').each(function(it){
                    if ( it.get('id') != 'select-all' )
                        it.set('checked', '');
                });
            }
        });
    }

    function getCheckedIds()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}
	
	var blTypeSelecter = function () {				
			var remove = function () {
				if ( this.getParent('.selected-types ') )
				{
					this.getParent('.selected-types ').destroy();
				}
			};
			var addType = function(blTypeId,blTypeName) {
				var location = new Element('div', { 'class': 'selected-types mb5' }).inject($('bl_types'));
				new Element('a', {
					'class': 'sbtn icon-remove'
				}).inject(new Element('div', {
					'class': 'fleft mr10'
				}).inject(location)).addEvent('click', remove);
				var label = new Element('label', { 'class': 'fleft w12' }).inject(location);
				var span = new Element('span', {
					html: blTypeName
				}).inject(label);
				new Element('input', {
					type: 'hidden',
					name: 'bl_types[]',
					value: blTypeId
				}).inject(location);
				new Element('div', { 'class': 'clear' }).inject(location);
			}

			$$('#bl_types .icon-remove').addEvent('click', remove);

			var blTypeId = $('d-bl_type').get('value'),
			    blTypeName = $('d-bl_type').getSelected().get('html');
			
			if ( ! blTypeId ) return;
			
			if (blTypeId == -1 ){
				$('bl_types').empty();
				
				$$("#d-bl_type option.types").each(function (el){
					addType(el.get('value'),el.get('text'));
				});
			}
			else{
				var found = false;
				$$('#bl_types input[type=hidden]').each(function (el) {
					var _blTypeId = el.get('value');
					if ( blTypeId == _blTypeId ) {
						found = true;
					}
				});
				if ( ! found ) { 
					addType(blTypeId,blTypeName);
				}
			}
		};

		var blTypeSelectercountry = function () {				
			var remove = function () {
				if ( this.getParent('.selected-types ') )
				{
					this.getParent('.selected-types ').destroy();
				}
			};
			var addType = function(blTypeId,blTypeName) {
				var location = new Element('div', { 'class': 'selected-types mb5' }).inject($('bl_countries'));
				new Element('a', {
					'class': 'sbtn icon-remove'
				}).inject(new Element('div', {
					'class': 'fleft mr10'
				}).inject(location)).addEvent('click', remove);
				var label = new Element('label', { 'class': 'fleft w12' }).inject(location);
				var span = new Element('span', {
					html: blTypeName
				}).inject(label);
				new Element('input', {
					type: 'hidden',
					name: 'bl_countries[]',
					value: blTypeId
				}).inject(location);
				new Element('div', { 'class': 'clear' }).inject(location);
			}

			$$('#bl_countries .icon-remove').addEvent('click', remove);

			var blTypeId = $('d-bl_country_for').get('value'),
			    blTypeName = $('d-bl_country_for').getSelected().get('html');
			
			if ( ! blTypeId ) return;
			
			if (blTypeId == -1 ){
				$('bl_types').empty();
				
				$$("#d-bl_country_for option.types").each(function (el){
					addType(el.get('value'),el.get('text'));
				});
			}
			else{
				var found = false;
				$$('#bl_countries input[type=hidden]').each(function (el) {
					var _blTypeId = el.get('value');
					if ( blTypeId == _blTypeId ) {
						found = true;
					}
				});
				if ( ! found ) { 
					addType(blTypeId,blTypeName);
				}
			}
		};

};
</script>

<style type="text/css">
	#faq_types input.checkbox { display: block; float: left }
	#faq_types label { float: left }
	#types { margin-bottom: 10px; }
</style>

<div class="form-common gray">
	<form>
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="title">Name</label>
				<input id="title" type="text" class="txt w18" name="name" value="" />
			</div>


			
			<div class="clear"></div>
		</fieldset>
		
		<fieldset class="inner mb10">
			<div class="inner">
				<label for="title">Type</label>
				<select id="bl_type" class=" w18" name="bl_type" >
					<option value="" >-- Select --</option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_ABOUT ?>"> About Me </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_BUBBLE_TEXT ?>"> Bubble Text </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_CLASSIFIED_ADS ?>"> Classifieds Ads </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_FEEDBACK ?>"> Feedback </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_INSTANT_MESSAGES ?>"> Instant messages </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_PRIVATE_MESSAGING ?>"> Private Messaging </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_SLOGAN ?>"> Slogan </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_SPECIAL_CHAR ?>"> Special Characteristics </option>
					<? if(Cubix_Application::getId() == APP_A6): ?>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_ADDITIONAL_SERVICES ?>"> Additional Services </option>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_SHOWNAME ?>"> Showname </option>
					<? endif; ?>
					<option class="types" value="<?= Model_BlacklistedWords::BL_TYPE_OTHER ?>"> Other Cases </option>
				</select>	
			</div>


			
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
        <a id="btn-create"></a>
        <a id='btn-delete'></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
